#!/bin/sh
SCRIPTS_PATH=$1

ENVIRONMENT_BASE_URI=$2

APIKEY_NORG_0=$3
APIKEY_NORG_1=$4
APIKEY_NORG_20=$5
APIKEY_NORG_53=$6
APIKEY_NORG_1025=$7
APIKEY_NORG_1193=$8
APIKEY_NORG_1311=$9
APIKEY_NORG_3260=$10
APIKEY_NORG_3188=$11
APIKEY_NORG_3273=$12
APIKEY_NORG_3795=$13
APIKEY_NORG_2995=$14
APIKEY_NORG_4708=$15
FILESERVER_BASE_URL=$16

echo 'Update environment.xml --------------------------------------------------'

$SCRIPTS_PATH/replace.sh "<>ENVIRONMENT_BASE_URI<>"  "$ENVIRONMENT_BASE_URI"    "environment.xml"
$SCRIPTS_PATH/replace.sh "<>PARAM_BASE_URI<>"        "$ENVIRONMENT_BASE_URI"    "environment.xml"

echo 'Update parameters.xml --------------------------------------------------'
$SCRIPTS_PATH/replace.sh "<>NRORG_0_API_KEY<>"          "$APIKEY_NORG_0"            "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_1_API_KEY<>"          "$APIKEY_NORG_1"            "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_20_API_KEY<>"         "$APIKEY_NORG_20"           "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_53_API_KEY<>"         "$APIKEY_NORG_53"           "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_1025_API_KEY<>"       "$APIKEY_NORG_1025"         "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_1193_API_KEY<>"       "$APIKEY_NORG_1193"         "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_1311_API_KEY<>"       "$APIKEY_NORG_1311"         "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_3188_API_KEY<>"       "$APIKEY_NORG_3188"         "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_3260_API_KEY<>"       "$APIKEY_NORG_3260"         "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_3273_API_KEY<>"       "$APIKEY_NORG_3273"         "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_3795_API_KEY<>"       "$APIKEY_NORG_3795"         "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_2995_API_KEY<>"       "$APIKEY_NORG_2995"         "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>NRORG_4708_API_KEY<>"       "$APIKEY_NORG_4708"         "parameters.xml"
$SCRIPTS_PATH/replace.sh "<>FILESERVER_BASE_URL_NEXT<>" "$FILESERVER_BASE_URL"      "parameters.xml"
